Results 1 to 7 of 7

Thread: Lnet Connection/Lich Issues for Returning Player

  1. Default Lnet Connection/Lich Issues for Returning Player

    Hey folks,

    Coming back from an extended absence, think I was last in-game almost 2 years ago. I reactivated and had to download/install everything again on my new PC. I followed all the steps in the guide found at https://gswiki.play.net/Lich_(software)/Installation but am having a few issues ever since I got back in-game.

    I'm able to download from the repos and ran a few scripts to get myself acclimated while sitting at a table. Tried out uberbarmagic2, which worked, but doesn't seem to update my mana. Haven't dived much farther than that.

    What is more worrying is that I keep receiving this message:

    [lnet: An existing connection was forcibly closed by the remote host.]
    C:/Ruby4Lich5/lib/ruby/2.6.0/openssl/buffering.rb:57:in `sysread'
    C:/Ruby4Lich5/lib/ruby/2.6.0/openssl/buffering.rb:57:in `fill_rbuff'

    Is this a common error? Any ideas what I may have done wrong or what's up with this? Pretty much nothing is working except for scripts, narost and the repository.

  2. #2
    Join Date
    Sep 2011
    Location
    U.S - CST/GMT -05:00
    Posts
    173

    Default

    Someone more knowledgeable than me will hopefully chime in, but I can tell you that it's been wonky for a bit. I use the IG channels now, but when I do want to get on LNet I have to start the script and wait. Sometimes it's a min or so, sometimes it's so long that I just kill it and hop on here or Discord.
    Last edited by bluecenterlight; 05-06-2021 at 01:50 PM.
    Discord = Teror#3966

  3. #3

    Default

    Quote Originally Posted by JendrykGaming View Post
    Hey folks,

    Coming back from an extended absence, think I was last in-game almost 2 years ago. I reactivated and had to download/install everything again on my new PC. I followed all the steps in the guide found at https://gswiki.play.net/Lich_(software)/Installation but am having a few issues ever since I got back in-game.

    I'm able to download from the repos and ran a few scripts to get myself acclimated while sitting at a table. Tried out uberbarmagic2, which worked, but doesn't seem to update my mana. Haven't dived much farther than that.

    What is more worrying is that I keep receiving this message:

    [lnet: An existing connection was forcibly closed by the remote host.]
    C:/Ruby4Lich5/lib/ruby/2.6.0/openssl/buffering.rb:57:in `sysread'
    C:/Ruby4Lich5/lib/ruby/2.6.0/openssl/buffering.rb:57:in `fill_rbuff'

    Is this a common error? Any ideas what I may have done wrong or what's up with this? Pretty much nothing is working except for scripts, narost and the repository.
    Are you sure you used the correct instructions recently? It looks like you're at Ruby 2.6.0 but I think the installer is 2.6.6.
    I would make sure to uninstall completely and try to download again, see if that helps.
    I don't want the world; I just want your half.
    Discord BigNasty#8519

  4. #4

    Default

    I am having the same issue, just returned to the game after a few years away. downloaded the install package from the wiki and it gave me 2.6.0.
    GSIV:Jhacen: "raise me you stupid bitch"

  5. #5

    Default

    It is correct. Did you have an LNet password before?

  6. #6

    Default

    i did not to the best of my memory.
    GSIV:Jhacen: "raise me you stupid bitch"

  7. #7

    Default

    Did you restore old / saved scripts to the Lich5 directory?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •